#include <bits/stdc++.h>
using namespace std;
int main(){
	string s;
	cin>>s;
	reverse(s.begin(), s.end());
	string ans = "";
	bool flag = true;
	for(int i=0;i<s.size();i++){
		if(s[i] == '0'){
			if(flag == true){
				continue;
			}
			else{
				ans+="0";
			}
		}
		else{
			flag = false;
			if(s[i] == '2'){
				ans += "5";
			}
			else if(s[i] == '5'){
				ans += "2";
			}
			else{
				ans += s[i];
			}
		}
	}
	cout<<ans<<endl;
}
